/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022AV01.java

*

* Created on 26/06/09 12:50:52

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ022AS01V01 extends Q02bTablaBD implements Q02bITablaBDQ022AS01V01 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q022AT00_NIPLAZO */

    public final static int COLUMN_Q022AT00_NIPLAZO = 1;

    /** Constante para la propiedad Q022AT00_NIPLAZO */

    public final static String NOMCOLUMN_Q022AT00_NIPLAZO = "Q022AT00_NIPLAZO";

    /** Constante para la propiedad Q022AT00_NIPLAZO */

    public final static int TAM_MAXIMO_Q022AT00_NIPLAZO = 8;

    /** Constante para la propiedad Q022AT00_ANO */

    public final static int COLUMN_Q022AT00_ANO = 2;

    /** Constante para la propiedad Q022AT00_ANO */

    public final static String NOMCOLUMN_Q022AT00_ANO = "Q022AT00_ANO";

    /** Constante para la propiedad Q022AT00_ANO */

    public final static int TAM_MAXIMO_Q022AT00_ANO = 4;

    /** Constante para la propiedad MUN_PROV */

    public final static int COLUMN_MUN_PROV = 3;

    /** Constante para la propiedad MUN_PROV */

    public final static String NOMCOLUMN_MUN_PROV = "MUN_PROV";

    /** Constante para la propiedad MUN_PROV */

    public final static int TAM_MAXIMO_MUN_PROV = 2;

    /** Constante para la propiedad MUN_MUNI */

    public final static int COLUMN_MUN_MUNI = 4;

    /** Constante para la propiedad MUN_MUNI */

    public final static String NOMCOLUMN_MUN_MUNI = "MUN_MUNI";

    /** Constante para la propiedad MUN_MUNI */

    public final static int TAM_MAXIMO_MUN_MUNI = 3;

    /** Constante para la propiedad Q022AT00_PLAZO */

    public final static int COLUMN_Q022AT00_PLAZO = 5;

    /** Constante para la propiedad Q022AT00_PLAZO */

    public final static String NOMCOLUMN_Q022AT00_PLAZO = "Q022AT00_PLAZO";

    /** Constante para la propiedad Q022AT00_PLAZO */

    public final static int TAM_MAXIMO_Q022AT00_PLAZO = 8;

    /** Constante para la propiedad Q022AT00_PLAZO_DIA */

    public final static int COLUMN_Q022AT00_PLAZO_DIA = 6;

    /** Constante para la propiedad Q022AT00_PLAZO_DIA */

    public final static String NOMCOLUMN_Q022AT00_PLAZO_DIA = "Q022AT00_PLAZO_DIA";

    /** Constante para la propiedad Q022AT00_PLAZO_DIA */

    public final static int TAM_MAXIMO_Q022AT00_PLAZO_DIA = 8;

    /** Constante para la propiedad Q022AT00_FEC_ALTA */

    public final static int COLUMN_Q022AT00_FEC_ALTA = 7;

    /** Constante para la propiedad Q022AT00_FEC_ALTA */

    public final static String NOMCOLUMN_Q022AT00_FEC_ALTA = "Q022AT00_FEC_ALTA";

    /** Constante para la propiedad Q022AT00_FEC_ALTA */

    public final static int TAM_MAXIMO_Q022AT00_FEC_ALTA = 7;

    /** Constante para la propiedad Q022AT00_FEC_MOD */

    public final static int COLUMN_Q022AT00_FEC_MOD = 8;

    /** Constante para la propiedad Q022AT00_FEC_MOD */

    public final static String NOMCOLUMN_Q022AT00_FEC_MOD = "Q022AT00_FEC_MOD";

    /** Constante para la propiedad Q022AT00_FEC_MOD */

    public final static int TAM_MAXIMO_Q022AT00_FEC_MOD = 7;

    /** Constante para la propiedad Q022NT00_CODIGO */

    public final static int COLUMN_Q022NT00_CODIGO = 9;

    /** Constante para la propiedad Q022NT00_CODIGO */

    public final static String NOMCOLUMN_Q022NT00_CODIGO = "Q022NT00_CODIGO";

    /** Constante para la propiedad Q022NT00_CODIGO */

    public final static int TAM_MAXIMO_Q022NT00_CODIGO = 5;

    /** Constante para la propiedad PROVINCIA_DS_O */

    public final static int COLUMN_PROVINCIA_DS_O = 10;

    /** Constante para la propiedad PROVINCIA_DS_O */

    public final static String NOMCOLUMN_PROVINCIA_DS_O = "PROVINCIA_DS_O";

    /** Constante para la propiedad PROVINCIA_DS_O */

    public final static int TAM_MAXIMO_PROVINCIA_DS_O = 50;

    /** Constante para la propiedad MUNICIPIO_DS_O */

    public final static int COLUMN_MUNICIPIO_DS_O = 11;

    /** Constante para la propiedad MUNICIPIO_DS_O */

    public final static String NOMCOLUMN_MUNICIPIO_DS_O = "MUNICIPIO_DS_O";

    /** Constante para la propiedad MUNICIPIO_DS_O */

    public final static int TAM_MAXIMO_MUNICIPIO_DS_O = 50;

    /** Constante para la propiedad Q022NT00_DESC_ES */

    public final static int COLUMN_Q022NT00_DESC_ES = 12;

    /** Constante para la propiedad Q022NT00_DESC_ES */

    public final static String NOMCOLUMN_Q022NT00_DESC_ES = "Q022NT00_DESC_ES";

    /** Constante para la propiedad Q022NT00_DESC_ES */

    public final static int TAM_MAXIMO_Q022NT00_DESC_ES = 100;

    /** Constante para la propiedad Q022NT00_DESC_EU */

    public final static int COLUMN_Q022NT00_DESC_EU = 13;

    /** Constante para la propiedad Q022NT00_DESC_EU */

    public final static String NOMCOLUMN_Q022NT00_DESC_EU = "Q022NT00_DESC_EU";

    /** Constante para la propiedad Q022NT00_DESC_EU */

    public final static int TAM_MAXIMO_Q022NT00_DESC_EU = 100;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 13;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q022AT00_NIPLAZO_WHERE */

    protected Integer Q022AT00_NIPLAZO_WHERE = null;

    protected boolean Q022AT00_NIPLAZO_MODIF = false;

    /** Holds value of property Q022AT00_ANO_WHERE */

    protected Integer Q022AT00_ANO_WHERE = null;

    protected boolean Q022AT00_ANO_MODIF = false;

    /** Holds value of property MUN_PROV_WHERE */

    protected String MUN_PROV_WHERE = null;

    protected boolean MUN_PROV_MODIF = false;

    /** Holds value of property MUN_MUNI_WHERE */

    protected String MUN_MUNI_WHERE = null;

    protected boolean MUN_MUNI_MODIF = false;

    /** Holds value of property Q022AT00_PLAZO_WHERE */

    protected Integer Q022AT00_PLAZO_WHERE = null;

    protected boolean Q022AT00_PLAZO_MODIF = false;

    /** Holds value of property Q022AT00_PLAZO_DIA_WHERE */

    protected Integer Q022AT00_PLAZO_DIA_WHERE = null;

    protected boolean Q022AT00_PLAZO_DIA_MODIF = false;

    /** Holds value of property Q022AT00_FEC_ALTA_WHERE */

    protected java.util.Date Q022AT00_FEC_ALTA_WHERE = null;

    protected boolean Q022AT00_FEC_ALTA_MODIF = false;

    /** Holds value of property Q022AT00_FEC_MOD_WHERE */

    protected java.util.Date Q022AT00_FEC_MOD_WHERE = null;

    protected boolean Q022AT00_FEC_MOD_MODIF = false;

    /** Holds value of property Q022NT00_CODIGO_WHERE */

    protected String Q022NT00_CODIGO_WHERE = null;

    protected boolean Q022NT00_CODIGO_MODIF = false;

    /** Holds value of property PROVINCIA_DS_O_WHERE */

    protected String PROVINCIA_DS_O_WHERE = null;

    protected boolean PROVINCIA_DS_O_MODIF = false;

    /** Holds value of property MUNICIPIO_DS_O_WHERE */

    protected String MUNICIPIO_DS_O_WHERE = null;

    protected boolean MUNICIPIO_DS_O_MODIF = false;

    /** Holds value of property Q022NT00_DESC_ES_WHERE */

    protected String Q022NT00_DESC_ES_WHERE = null;

    protected boolean Q022NT00_DESC_ES_MODIF = false;

    /** Holds value of property Q022NT00_DESC_EU_WHERE */

    protected String Q022NT00_DESC_EU_WHERE = null;

    protected boolean Q022NT00_DESC_EU_MODIF = false;

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "26/06/09 12:50:52";

    protected String columnas[] =  {"Q022AT00_NIPLAZO", "Q022AT00_ANO", "MUN_PROV", "MUN_MUNI", "Q022AT00_PLAZO", "Q022AT00_PLAZO_DIA", "Q022AT00_FEC_ALTA", "Q022AT00_FEC_MOD", "Q022NT00_CODIGO", "PROVINCIA_DS_O", "MUNICIPIO_DS_O", "Q022NT00_DESC_ES", "Q022NT00_DESC_EU"};

    protected int tipos[] =  {3, 3, 12, 12, 3, 3, 93, 93, 12, 12, 12, 12, 12};

    protected int longitudes[] =  {8, 4, 2, 3, 8, 8, 7, 7, 5, 50, 50, 100, 100};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q022AT00_NIPLAZO", "Q022AT00_ANO", "MUN_PROV", "MUN_MUNI", "Q022AT00_PLAZO", "Q022AT00_PLAZO_DIA", "Q022AT00_FEC_ALTA", "Q022AT00_FEC_MOD", "Q022NT00_CODIGO", "PROVINCIA_DS_O", "MUNICIPIO_DS_O", "Q022NT00_DESC_ES", "Q022NT00_DESC_EU"};

    protected boolean nullables[] =  {false,false,true,true,true,true,true,true,true,true,true,true,true};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q022AS01V01";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ022AS01V01 iTablaBDQ022AS01V01 = null;

    /** Creates new Q022AV01 */

    public Q02bTablaBDQ022AS01V01() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q022AS01V01 */

    public Q02bTablaBDQ022AS01V01(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ022AS01V01.setQ022AT00_NIPLAZO_WHERE(null);

        iTablaBDQ022AS01V01.setQ022AT00_NIPLAZO_MODIF(false);

        iTablaBDQ022AS01V01.setQ022AT00_ANO_WHERE(null);

        iTablaBDQ022AS01V01.setQ022AT00_ANO_MODIF(false);

        iTablaBDQ022AS01V01.setMUN_PROV_WHERE(null);

        iTablaBDQ022AS01V01.setMUN_PROV_MODIF(false);

        iTablaBDQ022AS01V01.setMUN_MUNI_WHERE(null);

        iTablaBDQ022AS01V01.setMUN_MUNI_MODIF(false);

        iTablaBDQ022AS01V01.setQ022AT00_PLAZO_WHERE(null);

        iTablaBDQ022AS01V01.setQ022AT00_PLAZO_MODIF(false);

        iTablaBDQ022AS01V01.setQ022AT00_PLAZO_DIA_WHERE(null);

        iTablaBDQ022AS01V01.setQ022AT00_PLAZO_DIA_MODIF(false);

        iTablaBDQ022AS01V01.setQ022AT00_FEC_ALTA_WHERE(null);

        iTablaBDQ022AS01V01.setQ022AT00_FEC_ALTA_MODIF(false);

        iTablaBDQ022AS01V01.setQ022AT00_FEC_MOD_WHERE(null);

        iTablaBDQ022AS01V01.setQ022AT00_FEC_MOD_MODIF(false);

        iTablaBDQ022AS01V01.setQ022NT00_CODIGO_WHERE(null);

        iTablaBDQ022AS01V01.setQ022NT00_CODIGO_MODIF(false);

        iTablaBDQ022AS01V01.setPROVINCIA_DS_O_WHERE(null);

        iTablaBDQ022AS01V01.setPROVINCIA_DS_O_MODIF(false);

        iTablaBDQ022AS01V01.setMUNICIPIO_DS_O_WHERE(null);

        iTablaBDQ022AS01V01.setMUNICIPIO_DS_O_MODIF(false);

        iTablaBDQ022AS01V01.setQ022NT00_DESC_ES_WHERE(null);

        iTablaBDQ022AS01V01.setQ022NT00_DESC_ES_MODIF(false);

        iTablaBDQ022AS01V01.setQ022NT00_DESC_EU_WHERE(null);

        iTablaBDQ022AS01V01.setQ022NT00_DESC_EU_MODIF(false);

        iTablaBDQ022AS01V01.setNumMaxRegistros(0);

        iTablaBDQ022AS01V01.setNumInicio(0);

        iTablaBDQ022AS01V01.setNumFinal(0);

        iTablaBDQ022AS01V01.setOrderBy(null);

        iTablaBDQ022AS01V01.setAditionalWhere(null);

        iTablaBDQ022AS01V01.setInitialWhere(null);

        iTablaBDQ022AS01V01.setFixedWhere(null);

        iTablaBDQ022AS01V01.setDistinct(null);

        iTablaBDQ022AS01V01.setMax(null);

        columnasSelect = null;

        tableFrom = "Q022AS01V01";

        iTablaBDQ022AS01V01.setUncommittedRead(false);

        iTablaBDQ022AS01V01.setForUpdate(false);

        iTablaBDQ022AS01V01.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ022AS01V01.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ022AS01V01.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ022AS01V01.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ022AS01V01.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ022AS01V01.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ022AS01V01.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ022AS01V01.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ022AS01V01.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ022AS01V01.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ022AS01V01.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ022AS01V01.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ022AS01V01.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ022AS01V01.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ022AS01V01.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ022AS01V01.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ022AS01V01.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ022AS01V01.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ022AS01V01.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ022AS01V01.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ022AS01V01.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ022AS01V01.selectMax();

    }













    public void setQ022AT00_NIPLAZO_WHERE(int valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_NIPLAZO_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_NIPLAZO_WHERE(valor);

        }

    }



    public void setQ022AT00_NIPLAZO_WHERE(Integer valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_NIPLAZO_WHERE=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_NIPLAZO_WHERE(valor);

        }

    }



    public void setQ022AT00_NIPLAZO_MODIF(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_NIPLAZO_MODIF=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_NIPLAZO_MODIF(valor);

        }

    }



    public void setQ022AT00_ANO_WHERE(int valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_ANO_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_ANO_WHERE(valor);

        }

    }



    public void setQ022AT00_ANO_WHERE(Integer valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_ANO_WHERE=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_ANO_WHERE(valor);

        }

    }



    public void setQ022AT00_ANO_MODIF(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_ANO_MODIF=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_ANO_MODIF(valor);

        }

    }



    public void setMUN_PROV_WHERE(String valor) {

        if (iTablaBDQ022AS01V01==null){

        this.MUN_PROV_WHERE=valor;

        }else{

           iTablaBDQ022AS01V01.setMUN_PROV_WHERE(valor);

        }

    }



    public void setMUN_PROV_MODIF(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.MUN_PROV_MODIF=valor;

        }else{

           iTablaBDQ022AS01V01.setMUN_PROV_MODIF(valor);

        }

    }



    public void setMUN_MUNI_WHERE(String valor) {

        if (iTablaBDQ022AS01V01==null){

        this.MUN_MUNI_WHERE=valor;

        }else{

           iTablaBDQ022AS01V01.setMUN_MUNI_WHERE(valor);

        }

    }



    public void setMUN_MUNI_MODIF(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.MUN_MUNI_MODIF=valor;

        }else{

           iTablaBDQ022AS01V01.setMUN_MUNI_MODIF(valor);

        }

    }



    public void setQ022AT00_PLAZO_WHERE(int valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_PLAZO_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_PLAZO_WHERE(valor);

        }

    }



    public void setQ022AT00_PLAZO_WHERE(Integer valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_PLAZO_WHERE=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_PLAZO_WHERE(valor);

        }

    }



    public void setQ022AT00_PLAZO_MODIF(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_PLAZO_MODIF=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_PLAZO_MODIF(valor);

        }

    }



    public void setQ022AT00_PLAZO_DIA_WHERE(int valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_PLAZO_DIA_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_PLAZO_DIA_WHERE(valor);

        }

    }



    public void setQ022AT00_PLAZO_DIA_WHERE(Integer valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_PLAZO_DIA_WHERE=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_PLAZO_DIA_WHERE(valor);

        }

    }



    public void setQ022AT00_PLAZO_DIA_MODIF(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_PLAZO_DIA_MODIF=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_PLAZO_DIA_MODIF(valor);

        }

    }



    public void setQ022AT00_FEC_ALTA_WHERE(java.util.Date valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_FEC_ALTA_WHERE=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_FEC_ALTA_WHERE(valor);

        }

    }



    public void setQ022AT00_FEC_ALTA_MODIF(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_FEC_ALTA_MODIF=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_FEC_ALTA_MODIF(valor);

        }

    }



    public void setQ022AT00_FEC_MOD_WHERE(java.util.Date valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_FEC_MOD_WHERE=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_FEC_MOD_WHERE(valor);

        }

    }



    public void setQ022AT00_FEC_MOD_MODIF(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022AT00_FEC_MOD_MODIF=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022AT00_FEC_MOD_MODIF(valor);

        }

    }



    public void setQ022NT00_CODIGO_WHERE(String valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022NT00_CODIGO_WHERE=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022NT00_CODIGO_WHERE(valor);

        }

    }



    public void setQ022NT00_CODIGO_MODIF(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022NT00_CODIGO_MODIF=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022NT00_CODIGO_MODIF(valor);

        }

    }



    public void setPROVINCIA_DS_O_WHERE(String valor) {

        if (iTablaBDQ022AS01V01==null){

        this.PROVINCIA_DS_O_WHERE=valor;

        }else{

           iTablaBDQ022AS01V01.setPROVINCIA_DS_O_WHERE(valor);

        }

    }



    public void setPROVINCIA_DS_O_MODIF(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.PROVINCIA_DS_O_MODIF=valor;

        }else{

           iTablaBDQ022AS01V01.setPROVINCIA_DS_O_MODIF(valor);

        }

    }



    public void setMUNICIPIO_DS_O_WHERE(String valor) {

        if (iTablaBDQ022AS01V01==null){

        this.MUNICIPIO_DS_O_WHERE=valor;

        }else{

           iTablaBDQ022AS01V01.setMUNICIPIO_DS_O_WHERE(valor);

        }

    }



    public void setMUNICIPIO_DS_O_MODIF(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.MUNICIPIO_DS_O_MODIF=valor;

        }else{

           iTablaBDQ022AS01V01.setMUNICIPIO_DS_O_MODIF(valor);

        }

    }



    public void setQ022NT00_DESC_ES_WHERE(String valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022NT00_DESC_ES_WHERE=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022NT00_DESC_ES_WHERE(valor);

        }

    }



    public void setQ022NT00_DESC_ES_MODIF(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022NT00_DESC_ES_MODIF=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022NT00_DESC_ES_MODIF(valor);

        }

    }



    public void setQ022NT00_DESC_EU_WHERE(String valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022NT00_DESC_EU_WHERE=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022NT00_DESC_EU_WHERE(valor);

        }

    }



    public void setQ022NT00_DESC_EU_MODIF(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.Q022NT00_DESC_EU_MODIF=valor;

        }else{

           iTablaBDQ022AS01V01.setQ022NT00_DESC_EU_MODIF(valor);

        }

    }



    /** Getter for property Q022AT00_NIPLAZO_WHERE.

    * @return Value of property Q022AT00_NIPLAZO_WHERE.

    */

    public Integer getQ022AT00_NIPLAZO_WHERE() {

        if (iTablaBDQ022AS01V01==null){

            return this.Q022AT00_NIPLAZO_WHERE;

        }else{

           return iTablaBDQ022AS01V01.getQ022AT00_NIPLAZO_WHERE();

        }

    }



    /** Getter for property Q022AT00_ANO_WHERE.

    * @return Value of property Q022AT00_ANO_WHERE.

    */

    public Integer getQ022AT00_ANO_WHERE() {

        if (iTablaBDQ022AS01V01==null){

            return this.Q022AT00_ANO_WHERE;

        }else{

           return iTablaBDQ022AS01V01.getQ022AT00_ANO_WHERE();

        }

    }



    /** Getter for property MUN_PROV_WHERE.

    * @return Value of property MUN_PROV_WHERE.

    */

    public String getMUN_PROV_WHERE() {

        if (iTablaBDQ022AS01V01==null){

            return this.MUN_PROV_WHERE;

        }else{

           return iTablaBDQ022AS01V01.getMUN_PROV_WHERE();

        }

    }



    /** Getter for property MUN_MUNI_WHERE.

    * @return Value of property MUN_MUNI_WHERE.

    */

    public String getMUN_MUNI_WHERE() {

        if (iTablaBDQ022AS01V01==null){

            return this.MUN_MUNI_WHERE;

        }else{

           return iTablaBDQ022AS01V01.getMUN_MUNI_WHERE();

        }

    }



    /** Getter for property Q022AT00_PLAZO_WHERE.

    * @return Value of property Q022AT00_PLAZO_WHERE.

    */

    public Integer getQ022AT00_PLAZO_WHERE() {

        if (iTablaBDQ022AS01V01==null){

            return this.Q022AT00_PLAZO_WHERE;

        }else{

           return iTablaBDQ022AS01V01.getQ022AT00_PLAZO_WHERE();

        }

    }



    /** Getter for property Q022AT00_PLAZO_DIA_WHERE.

    * @return Value of property Q022AT00_PLAZO_DIA_WHERE.

    */

    public Integer getQ022AT00_PLAZO_DIA_WHERE() {

        if (iTablaBDQ022AS01V01==null){

            return this.Q022AT00_PLAZO_DIA_WHERE;

        }else{

           return iTablaBDQ022AS01V01.getQ022AT00_PLAZO_DIA_WHERE();

        }

    }



    /** Getter for property Q022AT00_FEC_ALTA_WHERE.

    * @return Value of property Q022AT00_FEC_ALTA_WHERE.

    */

    public java.util.Date getQ022AT00_FEC_ALTA_WHERE() {

        if (iTablaBDQ022AS01V01==null){

            return this.Q022AT00_FEC_ALTA_WHERE;

        }else{

           return iTablaBDQ022AS01V01.getQ022AT00_FEC_ALTA_WHERE();

        }

    }



    /** Getter for property Q022AT00_FEC_MOD_WHERE.

    * @return Value of property Q022AT00_FEC_MOD_WHERE.

    */

    public java.util.Date getQ022AT00_FEC_MOD_WHERE() {

        if (iTablaBDQ022AS01V01==null){

            return this.Q022AT00_FEC_MOD_WHERE;

        }else{

           return iTablaBDQ022AS01V01.getQ022AT00_FEC_MOD_WHERE();

        }

    }



    /** Getter for property Q022NT00_CODIGO_WHERE.

    * @return Value of property Q022NT00_CODIGO_WHERE.

    */

    public String getQ022NT00_CODIGO_WHERE() {

        if (iTablaBDQ022AS01V01==null){

            return this.Q022NT00_CODIGO_WHERE;

        }else{

           return iTablaBDQ022AS01V01.getQ022NT00_CODIGO_WHERE();

        }

    }



    /** Getter for property PROVINCIA_DS_O_WHERE.

    * @return Value of property PROVINCIA_DS_O_WHERE.

    */

    public String getPROVINCIA_DS_O_WHERE() {

        if (iTablaBDQ022AS01V01==null){

            return this.PROVINCIA_DS_O_WHERE;

        }else{

           return iTablaBDQ022AS01V01.getPROVINCIA_DS_O_WHERE();

        }

    }



    /** Getter for property MUNICIPIO_DS_O_WHERE.

    * @return Value of property MUNICIPIO_DS_O_WHERE.

    */

    public String getMUNICIPIO_DS_O_WHERE() {

        if (iTablaBDQ022AS01V01==null){

            return this.MUNICIPIO_DS_O_WHERE;

        }else{

           return iTablaBDQ022AS01V01.getMUNICIPIO_DS_O_WHERE();

        }

    }



    /** Getter for property Q022NT00_DESC_ES_WHERE.

    * @return Value of property Q022NT00_DESC_ES_WHERE.

    */

    public String getQ022NT00_DESC_ES_WHERE() {

        if (iTablaBDQ022AS01V01==null){

            return this.Q022NT00_DESC_ES_WHERE;

        }else{

           return iTablaBDQ022AS01V01.getQ022NT00_DESC_ES_WHERE();

        }

    }



    /** Getter for property Q022NT00_DESC_EU_WHERE.

    * @return Value of property Q022NT00_DESC_EU_WHERE.

    */

    public String getQ022NT00_DESC_EU_WHERE() {

        if (iTablaBDQ022AS01V01==null){

            return this.Q022NT00_DESC_EU_WHERE;

        }else{

           return iTablaBDQ022AS01V01.getQ022NT00_DESC_EU_WHERE();

        }

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ022AS01V01==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ022AS01V01.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ022AS01V01==null){

           return sFechaClase;

        }else{

           return iTablaBDQ022AS01V01.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ022AS01V01==null){

           return this.idConexion;

        }else{

           return iTablaBDQ022AS01V01.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ022AS01V01==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ022AS01V01.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ022AS01V01==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ022AS01V01.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ022AS01V01==null){

           return this.numInicio;

        }else{

           return iTablaBDQ022AS01V01.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ022AS01V01==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ022AS01V01.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ022AS01V01==null){

           return this.numFinal;

        }else{

           return iTablaBDQ022AS01V01.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ022AS01V01==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ022AS01V01.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ022AS01V01==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ022AS01V01.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ022AS01V01==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ022AS01V01.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ022AS01V01==null){

           return this.limitRows;

        }else{

           return iTablaBDQ022AS01V01.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ022AS01V01==null){

           return this.connection;

        }else{

           return iTablaBDQ022AS01V01.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ022AS01V01==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ022AS01V01.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ022AS01V01==null){

           return this.orderBy;

        }else{

           return iTablaBDQ022AS01V01.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ022AS01V01==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ022AS01V01.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ022AS01V01==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ022AS01V01.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ022AS01V01==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ022AS01V01.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ022AS01V01==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ022AS01V01.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ022AS01V01==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ022AS01V01.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ022AS01V01==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ022AS01V01.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ022AS01V01==null){

           this.distinct = valor;

        }else{

           iTablaBDQ022AS01V01.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ022AS01V01==null){

           return this.distinct;

        }else{

           return iTablaBDQ022AS01V01.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ022AS01V01==null){

           this.max = valor;

        }else{

           iTablaBDQ022AS01V01.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ022AS01V01==null){

           return this.max;

        }else{

           return iTablaBDQ022AS01V01.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ022AS01V01==null){

           super.freeResources();

        }else{

           iTablaBDQ022AS01V01.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ022AS01V01==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ022AS01V01.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

